For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SalesGet Support
HomeGuidesAPI reference
HomeGuidesAPI reference
  • Middesk API
        • GETList connections
LogoLogo
Contact SalesGet Support
Middesk APIBusiness VerificationConnections

List connections

GET
https://api.middesk.com/v1/businesses/:business_id/connections
GET
/v1/businesses/:business_id/connections
$curl https://api.middesk.com/v1/businesses/business_id/connections \
> -H "Authorization: Bearer <token>"
1{
2 "object": "list",
3 "data": [
4 {
5 "object": "connection",
6 "id": "00000000-0000-0000-0000-000000000001",
7 "name": "Acme Holdings LLC",
8 "confidence": 0.96,
9 "connecting_people": [
10 {
11 "name": "John Doe",
12 "titles": [
13 "CEO"
14 ],
15 "sources": [
16 {
17 "id": "00000000-0000-0000-0000-000000000002",
18 "type": "sos_registration",
19 "metadata": {
20 "state": "IL",
21 "file_number": "12345"
22 }
23 }
24 ]
25 }
26 ],
27 "connecting_addresses": [
28 {
29 "full_address": "123 Main St, Springfield, IL 62701",
30 "labels": [
31 "primary"
32 ],
33 "sources": [
34 {
35 "id": "00000000-0000-0000-0000-000000000002",
36 "type": "sos_registration",
37 "metadata": {
38 "state": "IL",
39 "file_number": "12345"
40 }
41 }
42 ]
43 }
44 ],
45 "connecting_businesses": [
46 {
47 "name": "Acme Holdings LLC",
48 "titles": [
49 "MANAGER"
50 ],
51 "sources": [
52 {
53 "id": "00000000-0000-0000-0000-000000000002",
54 "type": "sos_registration",
55 "metadata": {
56 "state": "IL",
57 "file_number": "12345"
58 }
59 }
60 ]
61 },
62 {
63 "name": "Acme Corporation",
64 "titles": [
65 "MEMBER"
66 ],
67 "sources": [
68 {
69 "id": "id",
70 "type": "type",
71 "metadata": {
72 "key": "value"
73 }
74 }
75 ]
76 },
77 {
78 "name": "National Registered Agents Inc",
79 "titles": [
80 "REGISTERED AGENT"
81 ],
82 "sources": [
83 {
84 "id": "00000000-0000-0000-0000-000000000002",
85 "type": "sos_registration",
86 "metadata": {
87 "state": "IL",
88 "file_number": "12345"
89 }
90 }
91 ]
92 }
93 ]
94 }
95 ],
96 "url": "url",
97 "has_more": false,
98 "total_count": 1
99}
Returns businesses connected to the specified business, ordered by confidence score. Each connection includes connecting people, addresses, and businesses that link them. Results are paginated.
Was this page helpful?
Previous

Action object

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

business_idstringRequired
Business ID

Query parameters

pageintegerOptional
Page number
per_pageintegerOptional
Items per page

Response

connections found
objectstring
datalist of objects
urlstring
has_moreboolean
total_countinteger

Errors

403
Get V1businesses Business ID Connections Request Forbidden Error